<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html#index_1"><span>1</span></a></li>
      <li><a href="globals_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="globals_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="globals_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="globals_0x68.html#index_h"><span>h</span></a></li>
      <li class="current"><a href="globals_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="globals_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="globals_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="globals_0x78.html#index_x"><span>x</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

<h3><a class="anchor" id="index_i">- i -</a></h3><ul>
<li>Minherited
: <a class="el" href="group__m17nInputMethod.html#gaf84d56e3015c4b26802debcbd9352806">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaf84d56e3015c4b26802debcbd9352806">input.c</a>
</li>
<li>minput_assign_command_keys()
: <a class="el" href="group__m17nInputMethod.html#ga617c6a8028c05381f4f8a0ec781f1855">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga617c6a8028c05381f4f8a0ec781f1855">m17n.h</a>
</li>
<li>minput_callback()
: <a class="el" href="group__m17nInputMethod.html#ga955cd9e0b9fd8cf426aed3f3584337ff">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga955cd9e0b9fd8cf426aed3f3584337ff">input.c</a>
</li>
<li>MINPUT_CANDIDATES_CHANGED_MAX
: <a class="el" href="group__m17nInputMethod.html#gga55fdd3ec1e7a1ebcf84468c0637f4e42a7a525f8a61edaae9febe3884e496ab27">m17n.h</a>
</li>
<li>Minput_candidates_done
: <a class="el" href="group__m17nInputMethod.html#ga6ff3deabad4489cef99fff428b2628e2">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga6ff3deabad4489cef99fff428b2628e2">input.c</a>
</li>
<li>Minput_candidates_draw
: <a class="el" href="group__m17nInputMethod.html#ga6bf782d7824557ec10e3988f6fcf4834">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga6bf782d7824557ec10e3988f6fcf4834">input.c</a>
</li>
<li>MINPUT_CANDIDATES_INDEX_CHANGED
: <a class="el" href="group__m17nInputMethod.html#gga55fdd3ec1e7a1ebcf84468c0637f4e42a59599bf8a86a08077f83d2451493d1ab">m17n.h</a>
</li>
<li>MINPUT_CANDIDATES_LIST_CHANGED
: <a class="el" href="group__m17nInputMethod.html#gga55fdd3ec1e7a1ebcf84468c0637f4e42a175a5183c1e25d8c885f0896200738fa">m17n.h</a>
</li>
<li>MINPUT_CANDIDATES_SHOW_CHANGED
: <a class="el" href="group__m17nInputMethod.html#gga55fdd3ec1e7a1ebcf84468c0637f4e42a3bb5a55a5ccf58331afe4ef07f18dd58">m17n.h</a>
</li>
<li>Minput_candidates_start
: <a class="el" href="group__m17nInputMethod.html#ga6bb355b1b5521571056b96a854f3c6c8">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga6bb355b1b5521571056b96a854f3c6c8">m17n.h</a>
</li>
<li>minput_close_im()
: <a class="el" href="group__m17nInputMethod.html#ga373b415d157c2507f4ca4a864836e905">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga373b415d157c2507f4ca4a864836e905">input.c</a>
</li>
<li>minput_config_command()
: <a class="el" href="group__m17nInputMethod.html#gaa5de29f63f6eb770059c2f55ce8237ed">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaa5de29f63f6eb770059c2f55ce8237ed">input.c</a>
</li>
<li>minput_config_file()
: <a class="el" href="group__m17nInputMethod.html#ga5bf6821ca0d9bb5a738aba60225e247d">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga5bf6821ca0d9bb5a738aba60225e247d">input.c</a>
</li>
<li>minput_config_variable()
: <a class="el" href="group__m17nInputMethod.html#ga15f7939874de15330d3d9aa0c450e424">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga15f7939874de15330d3d9aa0c450e424">input.c</a>
</li>
<li>minput_create_ic()
: <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859">input.c</a>
</li>
<li>minput_default_driver
: <a class="el" href="group__m17nInputMethod.html#gadb0ff8e5e616a810ed27113b17ad363b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gadb0ff8e5e616a810ed27113b17ad363b">input.c</a>
</li>
<li>Minput_delete_surrounding_text
: <a class="el" href="group__m17nInputMethod.html#gab1bfef46ab8e9daa6f3cf53b912b7da8">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gab1bfef46ab8e9daa6f3cf53b912b7da8">input.c</a>
</li>
<li>minput_destroy_ic()
: <a class="el" href="group__m17nInputMethod.html#ga80e4b330fb112883f2183d54b4e9c5bb">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga80e4b330fb112883f2183d54b4e9c5bb">m17n.h</a>
</li>
<li>Minput_driver
: <a class="el" href="group__m17nInputMethod.html#gaf03ec92f0d20d9bff8b9031461270d41">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaf03ec92f0d20d9bff8b9031461270d41">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga0e4d7a69ac0861d4b9b58990a0f03702">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga0e4d7a69ac0861d4b9b58990a0f03702">input.c</a>
</li>
<li>minput_event_to_key()
: <a class="el" href="group__m17nInputMethodWin.html#ga58715c630a04fd33f12394e9c93f1bad">m17n-gui.h</a>
, <a class="el" href="group__m17nInputMethodWin.html#ga58715c630a04fd33f12394e9c93f1bad">input-gui.c</a>
</li>
<li>minput_filter()
: <a class="el" href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga6d9c3c97524114496fd8b7f70af92457">input.c</a>
</li>
<li>Minput_focus_in
: <a class="el" href="group__m17nInputMethod.html#ga0d721c64e73c1e362f3cc44716b6c6ab">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga0d721c64e73c1e362f3cc44716b6c6ab">input.c</a>
</li>
<li>Minput_focus_move
: <a class="el" href="group__m17nInputMethod.html#ga2b2dd61bcb633e89865ebeda1cd9f466">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga2b2dd61bcb633e89865ebeda1cd9f466">input.c</a>
</li>
<li>Minput_focus_out
: <a class="el" href="group__m17nInputMethod.html#ga3edb37986f3bcdd15d73884c0d9b239b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga3edb37986f3bcdd15d73884c0d9b239b">input.c</a>
</li>
<li>minput_get_command()
: <a class="el" href="group__m17nInputMethod.html#ga4472e21e6a1e65056f5815c3ce36e41b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga4472e21e6a1e65056f5815c3ce36e41b">input.c</a>
</li>
<li>minput_get_commands()
: <a class="el" href="group__m17nInputMethod.html#ga63f6d2d105b01b7721f732b2433ea78e">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga63f6d2d105b01b7721f732b2433ea78e">input.c</a>
</li>
<li>minput_get_description()
: <a class="el" href="group__m17nInputMethod.html#ga4a80b81791850c2445992e6e4fd7fa1b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga4a80b81791850c2445992e6e4fd7fa1b">input.c</a>
</li>
<li>Minput_get_surrounding_text
: <a class="el" href="group__m17nInputMethod.html#ga1ca3d6e04f44fada82ed3c81069be23c">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga1ca3d6e04f44fada82ed3c81069be23c">input.c</a>
</li>
<li>minput_get_title_icon()
: <a class="el" href="group__m17nInputMethod.html#gaa6ca1639d1d2cc56908cc6972d237f3a">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaa6ca1639d1d2cc56908cc6972d237f3a">input.c</a>
</li>
<li>minput_get_variable()
: <a class="el" href="group__m17nInputMethod.html#ga09c8aea172323731cd3e946b3ef43a50">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga09c8aea172323731cd3e946b3ef43a50">input.c</a>
</li>
<li>minput_get_variables()
: <a class="el" href="group__m17nInputMethod.html#gab6d3ebaf43705f994aebb990feada7aa">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gab6d3ebaf43705f994aebb990feada7aa">input.c</a>
</li>
<li>minput_gui_driver
: <a class="el" href="group__m17nInputMethodWin.html#ga382ffd93fbaaa7226dd36af4a3fd7100">m17n-gui.h</a>
, <a class="el" href="group__m17nInputMethodWin.html#ga382ffd93fbaaa7226dd36af4a3fd7100">input-gui.c</a>
</li>
<li>minput_lookup()
: <a class="el" href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gafe533480c705b877189938a0eecb1b57">m17n.h</a>
</li>
<li>Minput_method
: <a class="el" href="group__m17nInputMethod.html#ga4f2d5dc3e6c637d18e2ecf24edfff456">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga4f2d5dc3e6c637d18e2ecf24edfff456">input.c</a>
</li>
<li>minput_open_im()
: <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11">input.c</a>
</li>
<li>Minput_preedit_done
: <a class="el" href="group__m17nInputMethod.html#ga3f96ecb6d7f7f82bc1ba5e47f8da0b92">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga3f96ecb6d7f7f82bc1ba5e47f8da0b92">input.c</a>
</li>
<li>Minput_preedit_draw
: <a class="el" href="group__m17nInputMethod.html#gacb0619c67c071d453dd2920ffc26d0ed">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gacb0619c67c071d453dd2920ffc26d0ed">m17n.h</a>
</li>
<li>Minput_preedit_start
: <a class="el" href="group__m17nInputMethod.html#ga5516535b28981c4b02b33368f3d56d56">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga5516535b28981c4b02b33368f3d56d56">input.c</a>
</li>
<li>Minput_reset
: <a class="el" href="group__m17nInputMethod.html#ga5f07520efe1e533af2b2322fca2bc9a2">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga5f07520efe1e533af2b2322fca2bc9a2">m17n.h</a>
</li>
<li>minput_reset_ic()
: <a class="el" href="group__m17nInputMethod.html#ga1c3c2263d2bb2d250b1f926f4b4c1db5">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga1c3c2263d2bb2d250b1f926f4b4c1db5">input.c</a>
</li>
<li>minput_save_config()
: <a class="el" href="group__m17nInputMethod.html#ga08b59a97ca5194abfb04dc4cc96919d6">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga08b59a97ca5194abfb04dc4cc96919d6">input.c</a>
</li>
<li>Minput_set_spot
: <a class="el" href="group__m17nInputMethod.html#gaf19d77434bb1a12bdcb50f46448f1402">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gaf19d77434bb1a12bdcb50f46448f1402">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gac12030bd2d5c265a7327a9487f9c1376">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gac12030bd2d5c265a7327a9487f9c1376">m17n.h</a>
</li>
<li>minput_set_variable()
: <a class="el" href="group__m17nInputMethod.html#gaec5679f07f92df8aba39e49fc90341bd">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaec5679f07f92df8aba39e49fc90341bd">input.c</a>
</li>
<li>Minput_status_done
: <a class="el" href="group__m17nInputMethod.html#ga49febb92bb4320bc27f20043517f3169">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga49febb92bb4320bc27f20043517f3169">m17n.h</a>
</li>
<li>Minput_status_draw
: <a class="el" href="group__m17nInputMethod.html#gae75d45c1dbe0483768e9364af4d282f9">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gae75d45c1dbe0483768e9364af4d282f9">m17n.h</a>
</li>
<li>Minput_status_start
: <a class="el" href="group__m17nInputMethod.html#gad3739f8097f1c52f10a8581828b7bb95">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gad3739f8097f1c52f10a8581828b7bb95">m17n.h</a>
</li>
<li>Minput_toggle
: <a class="el" href="group__m17nInputMethod.html#gafa306a028998a972bf3a05c8609fe65e">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga065a8f8e5a28180fd0fa6d160e07481b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gafa306a028998a972bf3a05c8609fe65e">input.c</a>
</li>
<li>minput_xim_driver
: <a class="el" href="m17n-X_8h.html#aa416d384957c7e4f69349d62f74e1a19">m17n-X.h</a>
</li>
<li>MInputCallbackFunc
: <a class="el" href="group__m17nInputMethod.html#ga93a20c4a45f229e921bc4a3e1aa85312">m17n.h</a>
</li>
<li>MInputCandidatesChanged
: <a class="el" href="group__m17nInputMethod.html#ga55fdd3ec1e7a1ebcf84468c0637f4e42">m17n.h</a>
</li>
<li>Minteger
: <a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8">plist.c</a>
, <a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8">m17n-core.h</a>
</li>
<li>Minvocation
: <a class="el" href="group__m17nConv.html#gab9e923812755e682db8231828a9e94af">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gab9e923812755e682db8231828a9e94af">coding.c</a>
</li>
<li>Miso639_1
: <a class="el" href="m17n_8h.html#a643a2aaff32921ac3e11cd6eed66f60d">m17n.h</a>
, <a class="el" href="language_8c.html#a643a2aaff32921ac3e11cd6eed66f60d">language.c</a>
</li>
<li>Miso639_2
: <a class="el" href="language_8c.html#a6006fc602faeca0240858b36777615a0">language.c</a>
, <a class="el" href="m17n_8h.html#a6006fc602faeca0240858b36777615a0">m17n.h</a>
</li>
<li>Miso_2022
: <a class="el" href="group__m17nConv.html#gaec5ed370f36fbbd0811d7837f5a677aa">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gaec5ed370f36fbbd0811d7837f5a677aa">coding.c</a>
</li>
<li>Miso_6429
: <a class="el" href="group__m17nConv.html#gaf1bb00aba88f9d5b722bc39d9d2af904">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gaf1bb00aba88f9d5b722bc39d9d2af904">coding.c</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
